package edu.bu.signstream.common.util.vo.ss3.db;

import java.awt.Point;
import java.util.HashMap;

public class SS3Element {
	// key - String fileName, value - Point location
	private HashMap<String, Point> videoOnScreenLocations = new HashMap<String, Point>();

	private String id = "";

	public String getId() {
		return id;
	}

	public void setId(String string) {
		id = string;
	}

	public void setVideoOnScreenLocations(HashMap<String, Point> locations) {
		this.videoOnScreenLocations = locations;
	}

	public HashMap<String, Point> getVideoOnScreenLocations() {
		return videoOnScreenLocations;
	}

	public void setVideoOnScreenLocation(String fileName, Point location) {
		videoOnScreenLocations.put(fileName, location);
	}

	public Point getVideoOnScreenLocation(String fileName) {
		Object obj = videoOnScreenLocations.get(fileName);

		if (obj != null)
			return (Point) obj;
		return null;
	}
}
