package edu.bu.signstream.grepresentation.fields;

public abstract class CollectionManager {

	public void selectChainedEvent(Event event) {
		event.select();
	}

	public void unselectChainedEvent(Event event) {
		 event.unselect();
	}

	public abstract void unselectEntity();

	public abstract Event getSelectedEvent();
	public abstract Event getEventAt(double x);
	public abstract Event getFirstEvent();
	public abstract Event getLastEvent();

	public abstract void resetAll();

	public abstract boolean adjustEntity(double startTime, double endTime);
	
}
