package edu.bu.signstream.grepresentation.fields.gestureField;

import edu.bu.signstream.time.Time;

public interface GestureCompoundable {

   public String getID();
   public void setID(String id);

   public boolean isEndCompound();
   public boolean isStartCompound();
   
   public GestureCompoundable getEndCompound();
   public GestureCompoundable getStartCompound();

   public void setEndCompound(GestureCompoundable endCompound);
   public void setStartCompound(GestureCompoundable startCompound);
   
   public double getStartTimeCoordinate();
   public double getEndTimeCoordinate();
	
   public Time getStartTimeInfo();
   public Time getEndTimeInfo();
   
   public String getText(boolean start);
}
