package edu.bu.signstream.grepresentation.fields.handShapeField.dialogs;

import java.util.*;

import edu.bu.signstream.common.util.vo.ss3.codingScheme.SS3CodingScheme;

public class FingerspellingDialog extends GeneralHandShapeDialog {
	private  SS3CodingScheme codingScheme;
	
	public FingerspellingDialog(
		ArrayList handShapes,
		String title, String fieldID,
      GeneralHandShapePanelClient parent, SS3CodingScheme codingScheme) {
			super(handShapes, title, fieldID, parent, codingScheme);
			this.codingScheme = codingScheme;
	}

	@Override
	protected void setPallet(ArrayList handShapes, String fieldID) {		
		hsPallet = new FingerspellingPalette(handShapes, fieldID, codingScheme);
	}
}
