package edu.bu.signstream.grepresentation.fields.handShapeField.dialogs;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.util.ArrayList;

import javax.swing.JPanel;
import javax.swing.JScrollPane;

import edu.bu.signstream.common.util.vo.ss3.codingScheme.SS3CodingScheme;


public class HandShapeChooser extends JPanel {
	private SelectedHandshapesPanel panel = null;

	public HandShapeChooser(ArrayList list, SS3CodingScheme scheme) {
   //public HandShapeChooser(CSHandShapePalette csPalette, SS3CodingScheme scheme) {
		panel = new SelectedHandshapesPanel(scheme);
		HandShapePalette pallet = new HandShapePalette(list, panel, scheme);

		panel.setItem(list.get(0));
		panel.setItem(list.get(1));

		JScrollPane sp = new JScrollPane(panel);
		sp.setPreferredSize(
			new Dimension(
				panel.getPreferredSize().width,
				panel.getPreferredSize().height * 3));
		sp.getViewport().setScrollMode(javax.swing.JViewport.SIMPLE_SCROLL_MODE);

		setLayout(new BorderLayout(10, 10));
		add(pallet, BorderLayout.CENTER);
		add(sp, BorderLayout.SOUTH);
	}

	public ArrayList getSelectedHandshapes() {
		return panel.getHandshapes();
	}
}
