
package edu.bu.signstream.grepresentation.fields.handShapes.spread;

import edu.bu.signstream.common.util.vo.Track;
import edu.bu.signstream.common.util.vo.ss3.db.SS3Track;
import edu.bu.signstream.grepresentation.fields.nonManualField.NonManualField;
import edu.bu.signstream.grepresentation.fields.presentation.PresentationField;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;


public class SpreadField extends NonManualField {

   protected SpreadField sField;

   public SpreadField(SignStreamSegmentPanel segmentPanel, PresentationField parentField) {
      super(segmentPanel, parentField);
   }

   public SpreadField(Track track, SignStreamSegmentPanel segmentPanel, PresentationField parentField) {
      super(segmentPanel, parentField);
      this.track = track;
      createTrackEntity(track);
   }

   public SpreadField(SS3Track ss3track, SignStreamSegmentPanel segmentPanel, PresentationField parentField) {
      super(segmentPanel, parentField);
      this.ss3Track = ss3track;
      createTrackEntity(ss3track);
   }

   @Override
protected void createTrackEntity(SS3Track track) {}
   
   private void createTrackEntity(Track track) {}

}
