package edu.bu.signstream.grepresentation.fields.palettes.helpers;

import edu.bu.signstream.common.util.Pair;

import javax.swing.*;
import java.util.ArrayList;

public class PaletteUIFactory {
    public static JComboBox<String> createComboBox(ArrayList<Pair<String, Boolean>> templateData) {
        JComboBox<String> paletteComboBox = new JComboBox<>();

        for (Pair<String, Boolean> pair : templateData) {
            paletteComboBox.addItem(pair.first);

            if (pair.second) {
                paletteComboBox.setSelectedItem(pair.first);
            }
        }

        return paletteComboBox;
    }
}
