package edu.bu.signstream.grepresentation.view.main;

import java.awt.GridLayout;

import javax.swing.JPanel;

import edu.bu.signstream.grepresentation.view.mediaControl.MediaToolBar;

public class ToolBarPanels extends JPanel {

	private static final long serialVersionUID = 1L;

	private SignStreamSegmentPanel panel;

	private MediaToolBar mediaTb;
	private SegmentToolBarPanel segmentTb;

	public ToolBarPanels(SignStreamSegmentPanel panel) {
		this.panel = panel;
		this.segmentTb = new SegmentToolBarPanel(panel);
		setLayout(new GridLayout(0, 1));
		add(segmentTb);
	}

	public void addMediaToolBar(MediaToolBar mediaTb) {
		this.mediaTb = mediaTb;
		removeAll();
		add(mediaTb);
		panel.repaint();
	}

	public MediaToolBar getMediaToolBar() {
		return mediaTb;
	}

	public SegmentToolBarPanel getSegmentToolBarPanel() {
		return segmentTb;
	}
}
