package edu.bu.signstream.observer;

import java.util.ArrayList;

public class SSObservable {
	private ArrayList observers = new ArrayList();
	
	public void addObserver(SSObserver o) {
		observers.add(o);		
	}
	
	public void removeAll() {
		observers = null;
		observers = new ArrayList();
	}

	public void removeObserver(SSObserver o) {
		observers.remove(o);
	}
	
	public void notifyObservers(Object o) {
		for(int i = 0; i < observers.size(); i ++) {
			SSObserver obs = (SSObserver)observers.get(i);
			obs.update(this, o);
		}
	}
	
	public int countObservers() {
		return observers.size();
	}	
}
