package edu.bu.signstream.ui;

import java.awt.BorderLayout;
import java.awt.Dimension;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class ConfirmationPanel extends JPanel {

	private static final long serialVersionUID = 1L;

	public ConfirmationPanel(String message, JButton proceedBtn, JButton cancelBtn) {
		ButtonPanel buttonPanel = new ButtonPanel();
		buttonPanel.add(proceedBtn);
		buttonPanel.add(cancelBtn);

		setLayout(new BorderLayout());
		add(new JLabel(message), BorderLayout.CENTER);
		add(buttonPanel, BorderLayout.SOUTH);
		add(new JLabel("  "), BorderLayout.WEST);

		Dimension d = getPreferredSize();
		Dimension nD = new Dimension(d.width + 10, d.height + 40);
		setPreferredSize(nD);
	}
}
