package edu.bu.signstream.ui.panels;

import java.awt.*;
import javax.swing.*;
import edu.bu.signstream.common.util.UserInterfaceUtil;

public class DialogPanelDecorator {

   public JPanel decorate(JPanel panel, String title) {
      JPanel pan = new JPanel();
      //JScrollPane scrollPane = new JScrollPane(panel);
      JLabel titleLb = new JLabel(title);
      titleLb.setFont(UserInterfaceUtil.getDialogTitleFont());
      titleLb.setForeground(UserInterfaceUtil.getDialogTitleColor());

      GridBagLayout gbl = new GridBagLayout();
      GridBagConstraints gbc = new GridBagConstraints();

      pan.setLayout(gbl);

      gbc.anchor = GridBagConstraints.NORTHWEST;
      gbc.gridwidth = GridBagConstraints.REMAINDER;
      pan.add(titleLb, gbc);

      gbc.anchor = GridBagConstraints.NORTH;
      gbc.fill = GridBagConstraints.HORIZONTAL;
      gbc.insets = new Insets(0, 0, 10, 0);
      pan.add(new JSeparator(), gbc);
      gbc.anchor = GridBagConstraints.WEST;
      //pan.add(scrollPane, gbc);
      
      pan.add(panel, gbc);

      return pan;
   }

}
