package edu.bu.signstream.ui.panels.newDatabase;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;
import javax.swing.JDialog;

import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class NewDatabaseDialog extends JDialog {

	public NewDatabaseDialog(JFrame parentFrame, SignStreamSegmentPanel segmentPanel) {
		super(parentFrame);
		super.setLocationRelativeTo(segmentPanel);
		
		NewDatabasePanel panel = new NewDatabasePanel(segmentPanel, this);
		
		addWindowListener(new WindowAdapter() {
			@Override
			public void windowClosing(WindowEvent e) {
				dispose();
			}
		});

		Container contentPane = getContentPane();
		contentPane.setLayout(new BorderLayout(50, 50));
		contentPane.add(panel, BorderLayout.CENTER);

		this.pack();
	}	
}
