package edu.bu.signstream.ui.panels.notes.vo;

import java.util.ArrayList;
import edu.bu.signstream.common.util.vo.ss3.note.*;

public class NotesRepresentation {

   private boolean hidden = false;
   private SS3CompleteNoteInformation statementNote = null;
   private ArrayList notes = new ArrayList();

   public NotesRepresentation() {}

   public NotesRepresentation(
      ArrayList notes,
      SS3CompleteNoteInformation statementNote,
      boolean hidden) {
      this.notes = notes;
      this.statementNote = statementNote;
      this.hidden = hidden;
   }
   
   public void removeAll() {
	   hidden = false;
	   statementNote = null;
	   notes.clear();
   }

   public boolean isHidden() {
      return hidden;
   }

   public ArrayList getNotes() {
      return notes;
   }

   public SS3CompleteNoteInformation getStatementNote() {
      return statementNote;
   }
   
   public void setHidden(boolean b) {
      hidden = b;
   }

   public void setNotes(ArrayList list) {
      notes = list;
   }

   public void setStatementNote(SS3CompleteNoteInformation information) {
      statementNote = information;
   }

}
