cd $1

for zipfile in *.ss3
do
  unzip -o "$zipfile"
  for xmlfile in *.xml
  do
    # Replace all topic/focus fields with the value "topic"
    sed -i '' -E 's/VID="[2-7]">(foc\/top1|top2|top3|foc\/ref|foc\/adv|focus)<\//VID="8">topic<\//' "$xmlfile"
    # rezip the package
    zip -r "$zipfile" "$xmlfile"
    rm "$xmlfile"
  done
done
