package edu.bu.signstream.common.db.ss3;

public class Tuple {
	private int code;
	private String msg;
	private boolean isPublic;
	
	public Tuple(int code, String msg) {
		this.code = code;
		this.msg = msg;
		this.isPublic = false;
	}
	
	public Tuple(int code, String msg, boolean isPublic) {
		this.code = code;
		this.msg = msg;
		this.isPublic = isPublic;
	}
	
	public int getCode() {
		return code;
	}
	
	public String getMsg() {
		return msg;
	}
	
	public String isPublic() {
		if (isPublic == true) {
			return "True";
		} else {
			return "False";
		}
	}
}
