package edu.bu.signstream.common.util.vo.ss3.codingScheme.gestureMenus;

import java.util.HashMap;

public class GesturePropertyCategoryObject {
	
	private HashMap<String, GestureCategory> gestureCategories = new HashMap<String, GestureCategory>();

	public void addGestureCategory(GestureCategory category) {
		gestureCategories.put(category.getId(), category);
	}
	
	public GestureCategory getGestureCategoryByID(String gestureCategoryID) {
		return gestureCategories.get(gestureCategoryID);
	}
	
	public HashMap<String, GestureCategory> getGestureCategories() {
		return gestureCategories;
	}
	
	public void setGestureCategories(HashMap<String, GestureCategory> gestureCategories) {
		this.gestureCategories = gestureCategories;
	}

}
