package edu.bu.signstream.common.util.vo.ss3.codingScheme.templates;

public class PaletteReference {
    private String templateId;
    private String paletteId;
    private String order;
    private boolean defaultDom;
    private boolean defaultNDom;

    public PaletteReference(String templateId, String paletteId, String order) {
        this.templateId = templateId;
        this.paletteId = paletteId;
        this.order = order;
        this.defaultDom = false;
        this.defaultNDom = false;
    }

    public String getTemplateId() {
        return this.templateId;
    }

    public String getPaletteId() {
        return this.paletteId;
    }

    public String getOrder() {
        return this.order;
    }

    public int getOrderInteger() {
        return Integer.parseInt(this.order);
    }

    public boolean getIsDomDefault() {
        return this.defaultDom;
    }

    public boolean getIsNDomDefault() {
        return this.defaultNDom;
    }

    public void setIsDomDefault(boolean isDefault) {
        this.defaultDom = isDefault;
    }

    public void setIsNDomDefault(boolean isDefault) {
        this.defaultNDom = isDefault;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public void setPaletteId(String paletteId) {
        this.paletteId = paletteId;
    }

    public void setOrder(String order) {
        this.order = order;
    }

    public void setOrder(int order) {
        this.order = Integer.toString(order);
    }
}
