package edu.bu.signstream.grepresentation.fields.apexField;

import edu.bu.signstream.time.Time;

public interface CompoundableApex {

   public String getID();
   public void setID(String id);

   public boolean isEndCompound();
   public boolean isStartCompound();
   
   public CompoundableApex getEndCompound();
   public CompoundableApex getStartCompound();

   public void setEndCompound(CompoundableApex endCompound);
   public void setStartCompound(CompoundableApex startCompound);
   
   public double getStartTimeCoordinate();
   public double getEndTimeCoordinate();
	
   public Time getStartTimeInfo();
   public Time getEndTimeInfo();
   
   public String getText(boolean start);
}
