package edu.bu.signstream.grepresentation.fields.glossField;

import edu.bu.signstream.time.Time;

public interface Compoundable {

   public String getID();
   public void setID(String id);

   public boolean isEndCompound();
   public boolean isStartCompound();
   
   public Compoundable getEndCompound();
   public Compoundable getStartCompound();

   public void setEndCompound(Compoundable endCompound);
   public void setStartCompound(Compoundable startCompound);
   
   public double getStartTimeCoordinate();
   public double getEndTimeCoordinate();
	
   public Time getStartTimeInfo();
   public Time getEndTimeInfo();
   
   public String getText(boolean start);
}
