package edu.bu.signstream.grepresentation.fields.handShapeField;

import java.util.ArrayList;

import edu.bu.signstream.grepresentation.fields.handShapes.fingers.FingersFieldWrapper;
import edu.bu.signstream.grepresentation.fields.handShapes.joints.JointsFieldWrapper;
import edu.bu.signstream.grepresentation.fields.handShapes.spread.SpreadFieldWrapper;


public class HSHDependentFields {

	private FingersFieldWrapper selectedFingersWrp = null;
	private FingersFieldWrapper nonSelectedFingersWrp = null;
	private SpreadFieldWrapper thumbContactWrp = null;
   
   private JointsFieldWrapper baseJointsWrapper = null;
   private JointsFieldWrapper nonBaseJointsWrapper = null; 
   private SpreadFieldWrapper spreadWrapper = null;
   	
	public ArrayList getDependentFields() {
		ArrayList list = new ArrayList();
		if (selectedFingersWrp != null)
			list.add(selectedFingersWrp);
		if (nonSelectedFingersWrp != null)
			list.add(nonSelectedFingersWrp);
		if (thumbContactWrp != null)
			list.add(thumbContactWrp);
      if(baseJointsWrapper != null) 
         list.add(baseJointsWrapper);
      if(nonBaseJointsWrapper != null)
         list.add(nonBaseJointsWrapper);
      if(spreadWrapper != null)
         list.add(spreadWrapper);
		return list;
	}   

   public FingersFieldWrapper getNonSelectedFingersWrp() {
      return nonSelectedFingersWrp;
   }

   public FingersFieldWrapper getSelectedFingersWrp() {
      return selectedFingersWrp;
   }

   public SpreadFieldWrapper getThumbContactWrp() {
      return thumbContactWrp;
   }

   public void setNonSelectedFingersWrp(FingersFieldWrapper wrapper) {
      nonSelectedFingersWrp = wrapper;
   }

   public void setSelectedFingersWrp(FingersFieldWrapper wrapper) {
      selectedFingersWrp = wrapper;
   }

   public void setThumbContactWrp(SpreadFieldWrapper wrapper) {
      thumbContactWrp = wrapper;
   }

   public JointsFieldWrapper getBaseJointsWrapper() {
      return baseJointsWrapper;
   }

   public JointsFieldWrapper getNonBaseJointsWrapper() {
      return nonBaseJointsWrapper;
   }

   public SpreadFieldWrapper getSpreadWrapper() {
      return spreadWrapper;
   }

   public void setBaseJointsWrapper(JointsFieldWrapper wrapper) {
      baseJointsWrapper = wrapper;
   }

   public void setNonBaseJointsWrapper(JointsFieldWrapper wrapper) {
      nonBaseJointsWrapper = wrapper;
   }

   public void setSpreadWrapper(SpreadFieldWrapper wrapper) {
      spreadWrapper = wrapper;
   }
}
