package edu.bu.signstream.grepresentation.fields.handShapes.fingers;

import edu.bu.signstream.common.util.vo.Track;
import edu.bu.signstream.common.util.vo.ss3.db.SS3Track;
import edu.bu.signstream.grepresentation.fields.nonManualField.NonManualField;
import edu.bu.signstream.grepresentation.fields.presentation.PresentationField;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;


public class FingersField extends NonManualField {

   public FingersField(SignStreamSegmentPanel segmentPanel, PresentationField parentField) {
      super(segmentPanel, parentField);
   }

   public FingersField(Track track, SignStreamSegmentPanel segmentPanel, PresentationField parentField) {
      super(segmentPanel, parentField);
      this.track = track;
      createTrackEntity(track);
   }

   public FingersField(SS3Track ss3track, SignStreamSegmentPanel segmentPanel, PresentationField parentField) {
      super(segmentPanel, parentField);
      this.ss3Track = ss3track;
      createTrackEntity(ss3track);
   }

   @Override
protected void createTrackEntity(SS3Track track) {
//      ArrayList chainedEvents = new ArrayList();
//      ArrayList entities = track.getEntities();
//
//      ArrayList holds = new ArrayList();
//
//      for (int j = 0; j < entities.size(); j++) {
//         SS3Entity entity = (SS3Entity) entities.get(j);
//         ChainedEventsCollection collection = new ChainedEventsCollection();
//
//         ArrayList items = entity.getItemsAsList();
//         for (int i = 0; i < items.size(); i++) {
//            SS3Item item = (SS3Item) items.get(i);
//            String id = item.getId();
//
//            if (id.equalsIgnoreCase("" + Constants.ONSET_CODE)) {
//               collection.setOnsetEvent(new ChainedEvent(item, segmentPanel));
//            } else if (id.equalsIgnoreCase("" + Constants.OFFSET_CODE)) {
//               collection.setOffsetEvent(new ChainedEvent(item, segmentPanel));
//            } else if (!id.equalsIgnoreCase("" + Constants.HOLD_CODE)) {
//               collection.setTextValueEvent(new GlossChainedEvent(item, segmentPanel));
//
//            } else {
//               holds.add(item);
//            }
//         }
//
//         for (int k = 0; k < holds.size(); k++) {
//            SS3Item item = (SS3Item) holds.get(k);
//            int startTime = collection.getTextValueEvent().getStartTime();
//            int endTime = collection.getTextValueEvent().getEndTime();
//            if (item.getStartTime() == endTime) {
//               collection.setFinalHoldEvent(new ChainedEvent(item, segmentPanel));
//            } else if (item.getEndTime() == startTime) {
//               collection.setInitialHoldEvent(new ChainedEvent(item, segmentPanel));
//            }
//         }
//
//         ChainedEventsEntity chainedEventEntity =
//            new ChainedEventsEntity(collection, track.getId(), segmentPanel);
//         chainedEventEntity.setID(entity.getID());
//         chainedEventEntity.setRefEntityId(entity.getRefEntityId()); 
//         chainedEventEntity.setReference(entity.getReference());
//         chainedEvents.add(chainedEventEntity);
//         
//      }
//      collection = new ChainedEventsEntityCollection(chainedEvents, segmentPanel);
   }

   private void createTrackEntity(Track track) {
//      ArrayList chainedEvents = new ArrayList();
//      ArrayList trackValues = track.getTrackValues();
//
//      ArrayList values = new ArrayList();
//      HashMap onset = new HashMap();
//      HashMap onsetHold = new HashMap();
//      HashMap offset = new HashMap();
//      HashMap offsetHold = new HashMap();
//
//      for (int i = 0; i < trackValues.size(); i++) {
//         TrackValue trackValue = (TrackValue) trackValues.get(i);
//         int valueId = trackValue.getValueId();
//
//         if (valueId == Constants.HOLD_CODE) {
//            int startFrame = trackValue.getStartTime();
//            int endFrame = trackValue.getEndTime();
//            onsetHold.put("" + endFrame, trackValue);
//            offsetHold.put("" + startFrame, trackValue);
//         } else if (valueId == Constants.ONSET_CODE) {
//            int endFrame = trackValue.getEndTime();
//            onset.put("" + endFrame, trackValue);
//         } else if (valueId == Constants.OFFSET_CODE) {
//            int startFrame = trackValue.getStartTime();
//            offset.put("" + startFrame, trackValue);
//         } else {
//            values.add(trackValue);
//         }
//      }
//
//      for (int j = 0; j < values.size(); j++) {
//
//         TrackValue trackValue = (TrackValue) values.get(j);
//         int startingFrame = trackValue.getStartTime();
//         int endingFrame = trackValue.getEndTime();
//
//         TrackValue onsetHoldValue =
//            (TrackValue) onsetHold.get("" + startingFrame);
//         TrackValue offsetHoldValue =
//            (TrackValue) offsetHold.get("" + endingFrame);
//         TrackValue onsetValue = null, offsetValue = null;
//
//         if (onsetHoldValue == null) {
//            onsetValue = (TrackValue) onset.get("" + startingFrame);
//         } else {
//            onsetValue =
//               (TrackValue) onset.get("" + onsetHoldValue.getStartTime());
//         }
//
//         if (offsetHoldValue == null) {
//            offsetValue = (TrackValue) onset.get("" + endingFrame);
//         } else {
//            offsetValue =
//               (TrackValue) onset.get("" + offsetHoldValue.getEndTime());
//         }
//
//         ChainedEventsCollection collection = new ChainedEventsCollection();
//         collection.setOnsetEvent(new ChainedEvent(onsetValue, segmentPanel));
//         collection.setInitialHoldEvent(new ChainedEvent(onsetHoldValue, segmentPanel));
//         //collection.setValueEvent(new ChainedEvent(trackValue));
//         collection.setTextValueEvent(new GlossChainedEvent(trackValue, segmentPanel));
//         collection.setFinalHoldEvent(new ChainedEvent(offsetHoldValue, segmentPanel));
//         collection.setOffsetEvent(new ChainedEvent(offsetValue, segmentPanel));
//
//         ChainedEventsEntity chainedEvent =
//            new ChainedEventsEntity(collection, track.getFieldId(), segmentPanel);
//
//         chainedEvents.add(chainedEvent);
//      }
//
//      collection = new ChainedEventsEntityCollection(chainedEvents, segmentPanel);
   }

}
