package edu.bu.signstream.grepresentation.view.mediaControl;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import edu.bu.signstream.common.util.Util;
import edu.bu.signstream.grepresentation.fields.Event;
import edu.bu.signstream.grepresentation.fields.EventsEntity;
import edu.bu.signstream.grepresentation.requestsHandler.SS3Singleton;

public class GoLastFrameEventListener extends BaseListener implements ActionListener {
	
	public GoLastFrameEventListener(MediaToolBar bar) {
		super(bar);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
        Event event = bar.selectedEvent();
        EventsEntity entity = bar.selectedEntity();
        if (event != null && entity != null) {
            var range = Util.getCurrentRange(entity.getField());
            var time = event.getEndTimeInfo().in(range);
            SS3Singleton.getMediaPlayer().seek(time);
        }
	}
}
