package edu.bu.signstream.grepresentation.view.mediaControl;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class PlaySelectedEntityListener extends BaseListener implements ActionListener {

	public PlaySelectedEntityListener(MediaToolBar bar) { super(bar); }

	@Override
	public void actionPerformed(ActionEvent e) {
	    var entity = bar.selectedEntity();

        player.pause();
        if (entity.interval().empty()) {
            player.seek(entity.getStartTimeInfo());
        } else {
            player.seek(entity.interval());
            player.play();
        }
    }
}
