package edu.bu.signstream.media;

import edu.bu.signstream.time.Duration;
import edu.bu.signstream.time.TimeRange;
import edu.bu.signstream.ui.frame.SSFrame;

import java.net.URI;

public interface Media {
    URI uri();
    int order();
    Duration duration();

    TimeRange range();
    void range(TimeRange range);

    SSFrame view();
    void display();
    void hide();
    boolean displayed();
}
