package edu.bu.signstream.media.fileNavigation;

import java.io.File;
import java.io.FilenameFilter;

import javax.swing.filechooser.FileFilter;

import edu.bu.signstream.common.util.Util;

public class MovieFilter extends FileFilter implements FilenameFilter {

    //Accept all directories and all mov, mpg, avi files.
    @Override
	public boolean accept(File f) {
        if (f.isDirectory()) 
            return true;
        return Util.isMovieFile(f);
    }

    //The description of this filter
    @Override
	public String getDescription() {
        return "Video files";
    }
    
   @Override
public boolean accept(File f, String name) {
      File newFile = new File(f.getAbsolutePath() + File.separator + name);
      return accept(newFile);
   }
}

