package edu.bu.signstream.media.ui.painter;

public class PitchPainterBak { //extends SamplesPainter {
//    // Display frequency range
//    private static final double f0 = 75;
//    private static final double f1 = 500;
//
//    // Detection period
//    private final int period = 1024;
//    private final int window = period / 4;
//
//    private final double periodsPerWindow = 3.0;
//    private final double dt = periodsPerWindow / f0 / 4.0;
//
//    private final int maxnCandidates = Math.max(15, (int)Math.floor(f1 / f0));
//
//    private final double silenceThreshold = 0.03;
//    private final double voicingThreshold = 0.45;
//
//    private final double octaveCost = 0.01;
//    private final double octaveJumpCost = 0.35;
//    private final double voicedUnvoicedCost = 0.14;
//
//    private final int NUM_PEAK_INTERPOLATE_SINC70 = 3;
//    private final int brent_depth = NUM_PEAK_INTERPOLATE_SINC70;
//    private final double interpolation_depth = 0.5;
//
//
//    public PitchPainterBak(Samples samples, Duration page, ColorMap colors) {
//        super(samples, page, colors);
//    }
//
//    @Override
//    protected void paint(Graphics g, int w, int h, int s0, int s1) {
//        // Draw the background
//        g.setColor(colors.map(0));
//        g.drawRect(0, 0, w, h);
//
//        var samples = this.samples.slice(s0, s1);
//
//        var startTime = System.currentTimeMillis();
//
//        double dx = 1.0 / samples.rate;
//
//        int nx = s1 - s0;
//
//        double duration = dx * nx;
//        if (f0 < periodsPerWindow / duration)
//            throw new AssertionError();
//
//
//        int nsamp_period = (int)Math.floor(1.0 / dx / f0);
//        int halfnsamp_period = nsamp_period / 2 + 1;
//
//        double dt_win = periodsPerWindow / f0;
//        int nsamp_win = (int)Math.floor(dt_win / dx);
//        int hnsampWin = nsamp_win / 2 - 1;
//        if (hnsampWin < 2)
//            throw new AssertionError();
//        nsamp_win = hnsampWin * 2;
//
//        int minimumLag = Math.max(2, (int)Math.floor(1 / dx / f1));
//        int maximumLag = Math.min((int)Math.floor(nsamp_win / periodsPerWindow) + 2, nsamp_win);
//
//        int frames = (int)Math.floor((duration - dt_win) / dt) + 1;
//        if (frames < 1)
//            throw new AssertionError();
//
//        double mid = 0 - 0.5 * dx + 0.5 * duration;
//        double dur = frames * dt;
//        double t1 = mid - 0.5 * dur + 0.5 * dt;
//
//        double mean = samples.avg();
//        double globalPeak = samples.fold((a, b) -> Math.max(Math.abs(a - mean), Math.abs(b - mean)));
//
//        if (globalPeak == 0) {
//            System.out.println("P: ZERO PEAK");
//            return;
//        }
//
//        int nsampFFT = 1;
//        while (nsampFFT < nsamp_win * (1 + interpolation_depth))
//            nsampFFT *= 2;
//
//        System.out.println("NPERIOD: " + nsamp_period);
//        System.out.println("NFFT: " + nsampFFT);
//        System.out.println("NWINDOW: " + nsamp_win);
//
////        var window = new Samples(nsamp_win, ss.rate);
////        var windowR = new Samples(nsampFFT, ss.rate);
////
////        for (int i = 0; i < nsamp_win; i++) {
////            windowR.set(i, Window.HANN.coeff(i, nsamp_win + 1));
////        }
////        var forward = windowR.fftForward(Window.SQUARE);
//
//        // Square DC and Nyquist components
////        forward.set(0, forward.get(0) * forward.get(0));
////        forward.set(nsampFFT - 1, forward.get(nsampFFT - 1) * forward.get(nsampFFT - 1));
//
////        var winCorr = forward.fftBackward(Window.SQUARE);
//
//        int brent_ixmax = (int)Math.floor(nsamp_win * interpolation_depth);
//
//        class Candidate {
//            public double freq = 0;
//            public double strength = 0;
//        }
//
//        var candidates = new ArrayList<ArrayList<Candidate>>(frames);
//        for (int i = 0; i < frames; i++)
//            candidates.add(null);
//
//        var buf = new Samples(nsamp_win, samples.rate);
//
////        for (int frame = 0; frame < frames; frame++) {
//        for (int frame = 0; frame < frames; frame++) {
////            double t = t1 + (frame - 1) * dx;
//            double t = t1 + frame * dt;
//
//            int leftSample = (int)Math.floor(t / dx + 1);
////            int leftSample = (int)Math.floor((t - t1) / dt + 1);
//            int rightSample = leftSample + 1;
//
//            // Local mean +/- period
//            int startSample = rightSample - nsamp_period;
//            int endSample = leftSample + nsamp_period;
//            if (startSample < 0) {
//                System.out.println("P CLAMP START " + frame);
//                startSample = 0;
//            }
//            if (endSample > nx) {
//                System.out.println("P CLAMP END " + frame);
//                endSample = nx;
//            }
//
//            double localMean = 0;
//            for (int i = startSample; i < endSample; i++) {
//                localMean += samples.get(i);
//            }
//            localMean /= 2 * nsamp_period;
//
//
//            startSample = rightSample - hnsampWin;
//            endSample = leftSample + hnsampWin;
//            if (startSample < 1 || endSample > nx) {
//                System.out.println("P: SKIP FRAME p2 " + frame + ", startSample = " + startSample + ", endSample = " + endSample + ", nx = " + nx);
//                continue;
//            }
//
//            var scaledSamples = new Samples(nsamp_win, samples.rate);
//            for (int i = 0; i < nsamp_win; i++) {
////                scaledSamples.set(j, (samples.get(i++) - localMean) * Window.HANN.coeff(j, nsamp_win));
//                scaledSamples.set(i, samples.get(i + startSample) - localMean);
//            }
//
//            // Compute local peak +/- half period
//            double localPeak = 0.0;
//            if ((startSample = hnsampWin + 1 - halfnsamp_period) < 1)
//                startSample = 1;
//            if ((endSample = hnsampWin + halfnsamp_period) > nsamp_win)
//                endSample = nsamp_win;
//            for (int j = startSample; j <= endSample; j++) {
//                double value = Math.abs(samples.get(j));
//                if (value > localPeak)
//                    localPeak = value;
//            }
//            // TODO: Save this?
////            var intensity = (localPeak > globalPeak ? 1.0 : localPeak / globalPeak);
//
//            // Compute correlation
////            var ac = new Samples(nsampFFT, ss.rate);
////            var ac = out.fftForward(Window.SQUARE);
//            // Square DC and Nyquist components
////            ac.set(0, ac.get(0) * ac.get(0));
////            ac.set(nsampFFT - 1, ac.get(nsampFFT - 1) * ac.get(nsampFFT - 1));
////            var corr = ac.fftBackward(Window.SQUARE);
//
////            g.setColor(Color.ORANGE);
////            var lincorr = scaledSamples.autoCorrelate(0, scaledSamples.length);
////            var max = lincorr.get(0);
////            for (int i = 1; i < lincorr.length; i++) {
////                var x = (int)SSMath.lerp(0, w, (double)i / lincorr.length);
////                var y = (int)SSMath.lerp(h, 0, lincorr.get(i) / max);
////                g.fillOval(x, y, 4, 4);
////            }
//
//            int nfft = 1;
//            while (nfft < scaledSamples.length)
//                nfft *= 2;
//
//            var ffts = new Samples(nfft, samples.rate);
//            for (int i = 0; i < scaledSamples.length; i++)
//                ffts.set(i, scaledSamples.get(i));
//
//            var t0 = System.nanoTime();
////            var corr = scaledSamples.autoCorrelate();
////            var corr = scaledSamples.crossCorrelate(0, scaledSamples.length, scaledSamples.length, buf);
//            var corr = ffts.fftForward(Window.GAUSSIAN);
//            for (int i = 0; i < corr.length; i++)
//                corr.set(i, corr.get(i) * corr.get(i));
//            corr = corr.fftBackward(Window.SQUARE);
//            var end = System.nanoTime();
//            System.out.println("P: FFT " + ((end - t0) / 1000000000.0));
//
////            var corr = scaledSamples.fftForward(Window.HANN);
////            for (int i = 0; i < corr.length; i++)
////                corr.set(i, corr.get(i) * corr.get(i));
////            corr = corr.fftBackward(Window.SQUARE);
////
////            g.setColor(Color.BLUE);
////            var max2  = corr.get(0);
////            for (int i = 1; i < corr.length; i++) {
////                var x = (int)SSMath.lerp(0, w, (double)i / corr.length);
////                var y = (int)SSMath.lerp(h, 0, corr.get(i) / max2);
////                g.fillOval(x, y, 4, 4);
////            }
//
////            if (true)
////                return;
//
//
//            var cands = new ArrayList<Candidate>();
//            candidates.set(frame, cands);
//
////            var corr = scaledSamples.autoCorrelate(0, scaledSamples.length);
//            var max = corr.get(0);
//            for (int i = 1; i < corr.length - 1; i++) {
//                var prev = corr.get(i - 1) / max;
//                var v = corr.get(i) / max;
//                var next = corr.get(i + 1) / max;
//
////                var x = (int)SSMath.lerp(0, w, (double)i / corr.length);
////                var y = (int)SSMath.lerp(h, 0, v);
//
//                if (v >= prev && v >= next && v > 0.5 * voicingThreshold) {
//                    g.setColor(Color.RED);
////
//                    double dr = 0.5 * (next - prev);
//                    double d2r = 2.0 * v - prev - next;
//
//                    double frequencyOfMaximum = 1.0 / dx / (i + dr / d2r);
//                    double strengthOfMaximum = v + 0.5 * dr * dr / d2r;
//
////                    var freq = "" + (Math.round(frequencyOfMaximum * 1000) / 1000);
////                    var stren = "" + (Math.round(strengthOfMaximum * 1000) / 1000);
////                    g.setColor(Color.BLACK);
////                    g.drawString(freq + "Hz (" + stren + ")", x, y - 10);
//
//
//                    int place = 0;
//                    if (cands.size() < maxnCandidates) {
//                        place = cands.size();
//                    } else {
//                        double weakest = 2.0;
//                        for (int iweak = 1; iweak < maxnCandidates; iweak++) {
//                            double localStrength = cands.get(iweak).strength
//                                - octaveCost * (Math.log(f0 / cands.get(iweak).freq) / Math.log(2));
//                            if (localStrength < weakest) {
//                                weakest = localStrength;
//                                place = iweak;
//                            }
//                        }
//                    }
//
//                    var c = new Candidate();
//                    c.strength = strengthOfMaximum;
//                    c.freq = frequencyOfMaximum;
//
//                    if (place > cands.size() - 1) {
//                        cands.add(c);
//                    } else if (place > 0) {
//                        cands.set(place, c);
//                    }
////
////                    if (strengthOfMaximum > 1)
////                        strengthOfMaximum = 1 / strengthOfMaximum;
////
////                    g.setColor(Color.BLACK);
////                    g.drawString(frequencyOfMaximum + "Hz (" + strengthOfMaximum + ")", x, y - 10);
//                } else {
////                    g.setColor(Color.ORANGE);
//                }
////                g.fillOval(x, y, 4, 4);
//            }
//
//            if (true) continue;
//
//            // symmetrical?
//            int ro = 1 + nsamp_win;
//            var r = new Samples(2 * nsamp_win + 1, samples.rate);
//            r.set(ro, 0);
//            for (int i = 1; i < brent_ixmax; i++) {
////                var v = corr.get(i + 1) / (corr.get(1) * winCorr.get(i + 1));
//                var v = corr.get(i) / corr.get(0);
//                r.set(ro - i, v);
//                r.set(ro + i, v);
//            }
//
////            var cands = new ArrayList<Candidate>();
////            candidates.set(frame, cands);
//
//            // Add a default unvoiced candidate with zero freq and intensity
//            cands.add(new Candidate());
//            if (localPeak == 0)
//                continue;
//
//            for (int i = 1; i < maximumLag && i < brent_ixmax; i++) {
//                // local maximum
//                if (r.get(ro + i) >= r.get(ro + i - 1)
//                 && r.get(ro + i) >= r.get(ro + i + 1)) {
////                    if (r.get(ro + i) < 0.5 * voicingThreshold) {
////                        continue;
////                    }
//                    g.setColor(Color.RED);
//                    var x = (int)SSMath.lerp(0, w, (double)i / brent_ixmax);
//                    var y = (int)SSMath.lerp(h, 0, r.get(ro + i));
//                    g.fillOval(x, y, 6, 6);
//
//                    double dr = 0.5 * (r.get(ro + i + 1) - r.get(ro + i - 1));
//                    double d2r = 2.0 * r.get(ro + i) - r.get(ro + i - 1) - r.get(ro + i + 1);
//
//                    double frequencyOfMaximum = 1.0 / dt / (i + dr / d2r);
//                    int offset = -brent_ixmax - 1;
//
//                    // sinc interpolate?
//                    double strengthOfMaximum = r.get(ro + i) + 0.5 * dr * dr / d2r;
//
//                    if (strengthOfMaximum > 1)
//                        strengthOfMaximum = 1 / strengthOfMaximum;
//
//                    int place = 0;
//                    if (cands.size() < maxnCandidates) {
//                        place = cands.size();
//                    } else {
//                        double weakest = 2.0;
//                        for (int iweak = 1; iweak < maxnCandidates; iweak++) {
//                            double localStrength = cands.get(iweak).strength
//                                - octaveCost * (Math.log(f0 / cands.get(iweak).freq) / Math.log(2));
//                            if (localStrength < weakest) {
//                                weakest = localStrength;
//                                place = iweak;
//                            }
//                        }
//                    }
//
//                    var c = new Candidate();
//                    c.strength = strengthOfMaximum;
//                    c.freq = frequencyOfMaximum;
//
//                    if (place > cands.size() - 1) {
//                        cands.add(c);
//                    } else if (place > 0) {
//                        cands.set(place, c);
//                    }
//                }
//            }
//
//            if (true)
//                return;
//        }
//
//        var fmax = 0.0;
//        for (var cands : candidates)
//            for (var c : cands)
//                fmax = Math.max(fmax, c.freq);
//
//        g.setColor(Color.BLACK);
//        var fmaxy = (int)SSMath.lerp(h, 0, SSMath.ilerp(f0, f1, fmax));
//        g.drawLine(0, fmaxy, w, fmaxy);
//        g.drawString("Max Pitch = " + (Math.round(fmax * Math.pow(10, 3)) / Math.pow(10, 3)) + " Hz", 20, fmaxy - 20);
//
//        g.setColor(colors.map(1));
//        for (int i = 0; i < candidates.size(); i++) {
//            var x = (int)SSMath.lerp(0, w, (double)i / candidates.size());
//
//            for (var c : candidates.get(i)) {
//                var y = (int)SSMath.lerp(h, 0, SSMath.ilerp(f0, f1, c.freq));
//
//                g.fillOval(x, y, 4, 4);
//            }
//        }
//
//        if (mx != 0 && my != 0) {
//            g.drawLine(0, my, w, my);
//            g.drawLine(mx, 0, mx, h);
//
//            var freq = SSMath.lerp(f0, f1, SSMath.ilerp(0, h, my));
//            g.drawString(freq + " Hz", mx + 10, my + 10);
//        }
//
//        System.out.println("P: Finished in " + (System.currentTimeMillis() - startTime) + " ms");
//    }
}
