package edu.bu.signstream.time;

/**
 * Whether a bound or comparison is inclusive or exclusive.
 *
 * For example:
 * x >= 0: INCLUSIVE, since the comparison includes 0.
 * x >  0: EXCLUSIVE, since the comparison does not include 0.
 */
public enum Bound {
    INCLUSIVE,
    EXCLUSIVE;
}
