package edu.bu.signstream.ui.panels.newDatabase;

import javax.swing.JButton;

import edu.bu.signstream.common.util.vo.ss3.participants.SS3Participant;
import edu.bu.signstream.ui.panels.AnnotatorsPanel;

public class ParticipantButton extends JButton {

	private static final long serialVersionUID = 1L;

	private SS3Participant participant = null;

	private ParticipantView participantView = null;
	private AnnotatorsPanel annotatorPanel = null;

	private boolean isParticipant = false;

	public ParticipantButton(String label, SS3Participant participant,
			boolean isParticipant, ParticipantView participantView,
			AnnotatorsPanel annotatorPanel) {
		super(label);
		this.participant = participant;
		this.isParticipant = isParticipant;
		this.participantView = participantView;
		this.annotatorPanel = annotatorPanel;
	}

	public ParticipantView getParticipantView() {
		return participantView;
	}

	public void setParticipantView(ParticipantView participantView) {
		this.participantView = participantView;
	}

	public AnnotatorsPanel getAnnotatorPanel() {
		return annotatorPanel;
	}

	public void setAnnotatorPanel(AnnotatorsPanel annotatorPanel) {
		this.annotatorPanel = annotatorPanel;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public boolean isParticipant() {
		return isParticipant;
	}

	public void setParticipant(boolean isParticipant) {
		this.isParticipant = isParticipant;
	}

	public SS3Participant getParticipant() {
		return participant;
	}

	public void setParticipant(SS3Participant participant) {
		this.participant = participant;
	}
}
