package edu.bu.signstream.ui.video.controlPanelIcons;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Rectangle;

public class GoFirstFrameIcon extends VideoControlPanelIcon {

	public GoFirstFrameIcon(boolean enabled, int width, int height) {
		super(enabled, width, height);
	}

	@Override
	public void paintIcon(Component c, Graphics g, int x, int y) {
		Graphics2D g2 = (Graphics2D) g;

		g2.setBackground(getBackground());
		g2.setColor(getBackground());

		g2.fillRect(0, 0, this.getIconWidth(), this.getIconHeight());

		g2.setPaint(getGradientPaint());

		Rectangle r1 = new Rectangle(0, 4, 2, 15);
		g2.fill(r1);
			
		g2.drawLine(1, 11, 8, 4);
		g2.drawLine(0, 11, 7, 18);
		g2.drawLine(1, 11, 8, 18);
	}
}
