package edu.bu.signstream.ui.video.controlPanelIcons;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Polygon;

public class PlayForwardFastIcon extends VideoControlPanelIcon {

	public PlayForwardFastIcon(boolean enabled, int width, int height) {
		super(enabled, width, height);
	}

	@Override
	public void paintIcon(Component c, Graphics g, int x, int y) {
		Graphics2D g2 = (Graphics2D) g;

		g2.setBackground(getBackground());
		g2.setColor(getBackground());

		g2.fillRect(0, 0, this.getIconWidth(), this.getIconHeight());

		g2.setPaint(getGradientPaint());

		int[] xPoints1 = { 4, 4, 11 };
		int[] yPoints1 = { 18, 5, 11 };
		int[] xPoints2 = { 12, 12, 19 };
		int[] yPoints2 = { 18, 5, 11 };
		Polygon image1 = new Polygon(xPoints1, yPoints1, 3);
		g2.fill(image1);
		Polygon image2 = new Polygon(xPoints2, yPoints2, 3);
		g2.fill(image2);
	}

}
